package com.ys.bdtp.adm

import androidx.compose.material.MaterialTheme
import androidx.compose.material.Surface
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.platform.LocalContext
import com.ys.bdtp.adm.app.theme.AdmTheme
import com.ys.bdtp.adm.di.di
import org.kodein.di.compose.onDIContext
import org.kodein.di.compose.withDI

@Composable
fun App() = withDI(di(LocalContext.current)) {
    onDIContext(LocalContext.current) {
        AdmTheme {
            Surface(color = MaterialTheme.colors.background) {
                Text("Android")
            }
        }
    }
}