package com.ys.bdtp.adm.mvvm.model.db.entity.dict

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey

/**
 * component 表
 */
@Entity(tableName = "component")
data class ComponentEntity(
    @PrimaryKey val id: String,
    @ColumnInfo(name = "comp_code") val compCode: String,       // 构件编码
    @ColumnInfo(name = "comp_name") val compName: String?,      // 构件名称
    @ColumnInfo(name = "system_code") val systemCode: String,   // 系统编码
    @ColumnInfo(name = "class_code") val classCode: String      // 类型编码
)
