package com.ys.bdtp.graph.listeners

/**
 * item移动监听器
 *
 * @author  庞利祥(sybotan@126.com)
 */
interface SGraphyItemPosListener {
    /**
     * item移动回调
     *
     * @param   x       移动到位置的x坐标
     * @param   y       移动到位置的y坐标
     */
    fun onMoveTo(x: Float, y: Float)
} // Interface SGraphyItemPosListener