package com.ys.bdtp.adm.mvvm.model.db.entity.dict


import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import com.google.gson.JsonElement

/**
 * 基本配置 表
 */
@Entity(tableName = "config")
data class ConfigEntity(
    @PrimaryKey val id: String,
    @ColumnInfo(name = "name") val name: String,               // 配置项名称
    @ColumnInfo(name = "code") val code: String,               // 配置项编码
    @ColumnInfo(name = "data") val data: JsonElement? = null,  // 配置项内容
)